Class ListFolderMembersBuilder

java.lang.Object
com.dropbox.core.v2.sharing.ListFolderMembersBuilder

public class ListFolderMembersBuilder extends Object
The request builder returned by DbxUserSharingRequests.listFolderMembersBuilder(java.lang.String).

Use this class to set optional request parameters and complete the request.

  • Method Details

    • withActions

      public ListFolderMembersBuilder withActions(List<MemberAction> actions)
      Set value for optional field.
      Parameters:
      actions - This is a list indicating whether each returned member will include a boolean value MemberPermission.getAllow() that describes whether the current user can perform the MemberAction on the member. Must not contain a null item.
      Returns:
      this builder
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • withLimit

      public ListFolderMembersBuilder withLimit(Long limit)
      Set value for optional field.

      If left unset or set to null, defaults to 1000L.

      Parameters:
      limit - The maximum number of results that include members, groups and invitees to return per request. Must be greater than or equal to 1 and be less than or equal to 1000. Defaults to 1000L when set to null.
      Returns:
      this builder
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • withPath

      public ListFolderMembersBuilder withPath(String path)
      Set value for optional field.
      Parameters:
      path - Optional path to get inherited members. When omitted, uses shared_folder_id to return direct members. When provided, extracts folder ID from this path and returns users who have access through parent shared folder.
      Returns:
      this builder
    • start

      Issues the request.
      Throws:
      SharedFolderAccessErrorException
      DbxException